Subject: RE: [magma] IP Multicast over Ethernet

From: "Bryan McLaughlin (brmclaug)" <[email-masked]>
Date: Mon, 12 Aug 2002 14:13:25 +0100

Affan

A host that subscribes to a IPMC group address will receive, at the MAC
layer, all groups that correspond to that layer 2 address. As the data
gram progresses up the hosts stack the frame is striped and the layer 3
address is read, the host will discard those packets that are not to the
group address it has subscribed too.

The GW if its is IP Multicast enabled, i.e running PIM or some such,
will receive ALL multicast traffic and forward only those it needs to,
as determined by it Multicast routing protocol.

I also answered inline

Hope this helps

Bryan

> -----Original Message-----
> From: Affan Ahmed [mailto:[email-masked]] 
> Sent: 12 August 2002 10:37
> To: [email-masked]
> Subject: [magma] IP Multicast over Ethernet
> 
> 
> Hello, every one.
>  I have just completed reading "interconnections" By
> Radia Perlman (an excellent book ), but one thing
> seems unclear to me. This is regarding how IP and
> Ethernet multicast cooperate. I was hoping that
> somebody in this learned list would be able to resolve
> the confusions that plague my mind. I have the
> following questions regarding IP Multicast over
> Ethernet Multicast:
> 
> 
> 1) I know that the lower 23 bits of MAC address are
> copied from the lower three bytes of IP Multicast
> address. But my question is: how does the NIC or
> device driver ever know that this particular packet is
> to be multicast? is there something like a *flag* in a
> generic API call that tells the multicast address to
> be chosen. I have tried to study some of the
> sock_opt() in Linux but this behavior is not
> explicitly visible.
> 
> Also how can/does the NIC hardware differ b/w
> multicast and broadcast address. The nic cant figure
> out just on the basis of the dest MAC multicast
> address that this host belongs to the group or not.
> 
> 2)The following scenario is what has bothered me a lot
> 
> 
>   ++++   ++++ ++++      +++++     Internet   ++++
>   + A+   + B+ + C+      + GW+----------------+ D+ 
>   ++++   ++++ ++++      +++++                ++++
>     |      |    |         |    
>     |      |    |         |    
> -----------------------------
>     LAN 1
> 
> say A,C and D have all regestered themselves to the
> same IP multicast group and the GW to LAN1 implements
> IGMP messages and can forward the multicast packet to
> D. Now how does an IP Multicast packet reach C. Does A
> on sending it on the LAN make its MAC address
> compliant to standard practice of using ethernet
> multicast address and using lower three bytes of IP.

Yes

> In this case how does it reach the G/W and get
> forwarded to D.

GW will recive all IP multicast data if it is multicast enabled

 if Instead it simply first goes to the
> GW (b/c the multicast address of destination is not on
> the local subnet) does the GW then send it back on the
> LAN (in case of more than one recepient on LAN1 does
> it send more than one packet? that would be very bad
> wont it. I am sure this doesnt happen). 

It does not
> 
> Please, these problem are really bugging my mind, I
> would be extremely grateful if some one could spare
> some time and answer these queries. 
> Also in case the questions seem to be directed at the
> wrong mailing list, please direct me to a better
> suited one. 
> 
> Best Regards,
> Affan Ahmed
> 
> 
> 
> 
> 
> 
> 
> __________________________________________________
> Do You Yahoo!?
> HotJobs - Search Thousands of New Jobs
> http://www.hotjobs.com
> 
> _______________________________________________
> magma mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/magma
> 

_______________________________________________
magma mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/magma